{%- from 'components/section.html.jinja' import section_base, section_full, section_text_left, title_section, fim_coach_verzeichnis -%}
{% extends "base.html.jinja" %}

{%- block page -%}
  {{ title_section(base, page.get_title_section()) }}

  {% macro _seminar(seminar) %}
    <div class="col-lg-6 d-flex flex-column">
      <div class="card flex-fill shadow">
        <div class="card-body p-4 d-flex flex-column">
          <h3 class="card-title mb-4">{{ seminar.titel }}</h3>
          <div class="mb-4 flex-fill">{{ seminar.teaser|safe }}</div>
          <div>
            <a class="btn btn-primary" href="{{ seminar.get_path() }}"
              >Mehr erfahren</a
            >
          </div>
        </div>
      </div>
    </div>
  {% endmacro %}

  {% call section_full(page.get_seminare_section(), false) %}
    <div class="row g-3">
      {% for seminar in seminare %}
        {{ _seminar(seminar) }}
      {% endfor %}
    </div>
  {% endcall %}

  {% call section_base(true) %}
    {% set section = page.get_fim_coach_section() %}
    <div class="row g-5">
      <div class="col-lg-6">
        <h2 id="{{ section.anchor }}" class="fs-4 text-primary">
          {{ section.subtitle }}
          <span class="d-block fs-2 text-dark mt-2 mb-4 fw-semibold"
            >{{ section.title }}</span
          >
        </h2>
        <div class="mb-4">{{ section.text|safe }}</div>
        <div class="mb-4">
          <a
            class="d-flex flex-row align-items-center gap-2"
            href="{{ page.fim_coach_ausbildungsrichtlinie_url }}"
            target="_blank"
            aria-label="{{ page.fim_coach_ausbildungsrichtlinie_label }} (öffnet in neuem Tab)"
          >
            <i class="bi bi-file-earmark-zip-fill fs-5"></i>
            {{ page.fim_coach_ausbildungsrichtlinie_label }}
          </a>
        </div>
      </div>
      <div class="col-lg-6">
        <span class="bg-primary badge mb-2">in Überarbeitung</span>
        <h3 class="fs-5mb-3">{{ page.fim_coach_zertifizierung_titel }}</h3>
        {{ page.fim_coach_zertifizierung_text|safe }}
      </div>
    </div>
  {% endcall %}

  {{ fim_coach_verzeichnis(fim_coaches, false) }}
{%- endblock -%}
